/* Copyright (C) NHR@FAU, University Erlangen-Nuremberg.ke
 * All rights reserved.
 * Use of this source code is governed by a MIT-style
 * license that can be found in the LICENSE file.    */
#include <mpi.h>
#include <stdio.h>
#include <stdlib.h>

#include "parameter.h"
#include "solver.h"
#include "timing.h"

int main(int argc, char** argv)
{

    MPI_Init(&argc, &argv);
    /******* Debug Params *********/
    int rank, size;
    MPI_Comm_rank(MPI_COMM_WORLD, &rank);
    MPI_Comm_size(MPI_COMM_WORLD, &size);
    printf("Process %d of %d \n", rank, size);

    double startTime, endTime;
    Parameter params;
    Solver solver;
    initParameter(&params);

    if (argc < 2) {
        printf("Usage: %s <configFile>\n", argv[0]);
        exit(EXIT_SUCCESS);
    }

    readParameter(&params, argv[1]);
    initSolver(&solver, &params, 2);
    // startTime = getTimeStamp();
    // solveRB(&solver);
    // endTime = getTimeStamp();
    writeResult(&solver, "p.dat");
    // printf(" %.2fs\n", endTime - startTime);
    // writeResult(&solver, "p.dat");


    MPI_Finalize();
    return EXIT_SUCCESS;
}
