/* Copyright (C) NHR@FAU, University Erlangen-Nuremberg.
 * All rights reserved.
 * Use of this source code is governed by a MIT-style
 * license that can be found in the LICENSE file.    */
#ifndef __SOLVER_H_
#define __SOLVER_H_
#include "parameter.h"
#include <mpi.h>

typedef struct {
    double dx, dy;
    int imax, jmax;
    int limax,ljmax;
    double *p, *rhs;
    double eps, omega, rho;
    int itermax;
    MPI_Comm cart_comm;
    MPI_Datatype types[4];
    MPI_Aint rcv_displacements[4];
    MPI_Aint snd_displacements[4];
    int coords[2];
    int dims[2];
    int rank, size;
} Solver;

extern void initSolver(Solver*, Parameter*, int problem);
extern void writeResult(Solver*, char*);
extern void solveRB(Solver*);
#endif
